﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows.Media.Imaging;

namespace TreeViewWithContextMenuWPF
{
    public class ContextMenuItem
    {

        public Image Icon
        {
            get
            {
                if (this.ImagePath != null)
                {
                    Image image = new Image();
                    image.Source = new BitmapImage(new Uri(this.ImagePath, UriKind.Relative));
                    return image;
                }
                else
                    return null;
            }
        }

        public string ImagePath
        {
            get;
            set;
        }

        public string Header
        {
            get;
            set;
        }

        public bool IsSeparator
        {
            get;
            set;
        }

        public ContextMenuItem()
        {
            this.Header = null;
            this.ImagePath = null;
            this.IsSeparator = false;
        }
    }
}
